Bug 398711 - Review Request: gfs-solomos-fonts - GFS Solomos oblique Greek font
Review Request: gfs-solomos-fonts - GFS Solomos oblique Greek font
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 16:02 EST by Nicolas Mailhot
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-27 16:38:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2007-11-25 16:02:44 EST
Spec URL: http://nim.fedorapeople.org/gfs-solomos-fonts.spec
SRPM URL: http://nim.fedorapeople.org/gfs-solomos-fonts-20071114-1.fc9.src.rpm

Description:
From the middle of the 19th century an italic font with many calligraphic
overtones was introduced into Greek printing. Its source is unknown, but it
almost certainly was the product of a German or Italian foundry. In the first
type specimen printed in Greece by the typecutter K. Miliadis (1850), the font
was listed anonymously along others of 11pts and in the Gr. Doumas' undated
specimen appeared as «11pt Greek inclined». For most of the second half of the
century the type was used extensively as an italic for emphasis in words,
sentences or exerpts. In 1889, the folio size Type Specimen of Anestis
Konstantinidis' publishing, printing and type founding establishment also
included the type as «Greek inclined [9 & 12 pt]».

Nevertheless, the excessively calligraphic style of the characters, combined
with the steep and uncomfortable obliqueness of the capitals, was out of favour
in the 20th century and the type did not survive the conformity of the
mechanical type cutting and casting. The font has been digitally revived, as
part of our typographic tradition, by George D. Matthiopoulos and is part of
GFS' type library under the name GFS Solomos, in commemoration of the great
Greek poet of the 19th century, Dionisios Solomos.
Comment 1 Parag AN(पराग) 2007-11-26 07:51:36 EST
gfs-solomos-fonts.noarch: I: checking
gfs-solomos-fonts.noarch: E: description-line-too-long specimen appeared as
«11pt Greek inclined». For most of the second half of the
Your description lines must not exceed 79 characters. If a line is exceeding
this number, cut it to fit in two lines.

gfs-solomos-fonts.noarch: W: no-version-in-last-changelog
The last changelog entry doesn't contain a version. Please insert the
version that is coherent with the version of the package and rebuild it.
Comment 2 Nicolas Mailhot 2007-11-26 08:13:22 EST
(In reply to comment #1)
> gfs-solomos-fonts.noarch: I: checking
> gfs-solomos-fonts.noarch: E: description-line-too-long specimen appeared as
> «11pt Greek inclined». For most of the second half of the
> Your description lines must not exceed 79 characters. If a line is exceeding
> this number, cut it to fit in two lines.

The lines have been resized using the standard "fold" tool. So they are all 80
column max. rpmlint targets a non-standard terminal width, 79 column and I don't
believe this width is actually in use anywhere or that any terminal user will
actually be inconvenienced if we use the full 80 column. If you really insist I
may resize the text but that seems a waste of time to me.

> gfs-solomos-fonts.noarch: W: no-version-in-last-changelog
> The last changelog entry doesn't contain a version. Please insert the
> version that is coherent with the version of the package and rebuild it.

rpmlint wants to force you to put the version at the end of the first changelog
line, however the official approved Fedora changelog format list includes a
style where the version is not on this line
(http://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs, 3rd style) so
rpmlint's warning is bogus



Comment 3 Parag AN(पराग) 2007-11-26 11:59:58 EST
I prefer you to fix rpmlint error description-line-too-long. Reason, If this is
bogus message then we should have already removed it from rpmlint tool itself
but as rpmlint is made to report it as error, good to fix this.
Comment 4 Nicolas Mailhot 2007-11-26 13:47:29 EST
Updated version posted at the usual place to cut lines at 79 columns.

Note that rpmlint does not know how to count UTF-8 characters, so if it still
complains do check in an UTF-8 aware editor he's actually right (he isn't)
Comment 5 Parag AN(पराग) 2007-11-26 22:02:01 EST
I agree it was big work for you to ask to fix small issue but still I prefer to
follow what rpmlint says till rpmlint tool gives it as Error and not Warning.
Comment 6 Parag AN(पराग) 2007-11-26 22:26:08 EST
Dunno, But with updated version I still see
gfs-solomos-fonts.src: E: description-line-too-long specimen appeared as «11pt
Greek inclined». For most of the second half of the

Otherwise Packaging looks ok.
APPROVED.

I don't want you to waste your time again now so if you want to fix it then fix
at time of cvs import.
Comment 7 Nicolas Mailhot 2007-11-27 01:58:55 EST
rpmlint is wrong. I actually cheched the line it tags manually - it's less than
79 columns in UTF-8, which is our default encoding.

New Package CVS Request
=======================
Package Name: gfs-solomos-fonts
Short Description: GFS Solomos oblique Greek font
Owners: nicolas.mailhot@laposte.net
Branches: F-7, F-8, devel
InitialCC: fedora-fonts-bugs-list@redhat.com
Cvsextras Commits: Yes
Comment 8 Kevin Fenzi 2007-11-27 15:04:01 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.